type WorkerPath = string | URL;
export interface PlatformWorker {
    onerror: ((error: ErrorEvent) => void) | null;
    onmessage: ((event: MessageEvent) => void) | null;
    postMessage(message: unknown): void;
    terminate(): Promise<unknown> | void;
}
export declare class Worker implements PlatformWorker {
    onerror: ((error: ErrorEvent) => void) | null;
    onmessage: ((event: MessageEvent) => void) | null;
    private readonly worker;
    constructor(workerPath: WorkerPath);
    postMessage(message: unknown): void;
    terminate(): Promise<number>;
}
export {};
